Name: H5Tget_super
Signature:
  hid_t `H5Tget_super`(hid_t `type` )
Purpose:
  Returns the base datatype from which a datatype is derived.
Description:
  `H5Tget_super` returns the base datatype from which the datatype `type` is derived.

  In the case of an enumeration type, the return value is an integer type.

Parameters:

hid_t `type` | Datatype identifier for the derived datatype.

Returns:
  Returns the datatype identifier for the base datatype if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_super_f

      SUBROUTINE h5tget_super_f(type_id, base_type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        INTEGER(HID_T), INTENT(OUT) :: type_id ! Base datatype identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tget_super_f